3.34.0
======
* Bugs fixed:
 - !27 Use Files GOA provider feature

* Translation updates:
 - Basque
 - Bokmål, Norwegian
 - Catalan
 - Chinese (China)
 - Croatian
 - Danish
 - French
 - Icelandic
 - Karbi
 - Persian
 - Slovak

3.33.90
=======
* Translation updates:
 - Basque
 - Bokmål, Norwegian
 - Catalan
 - Chinese (China)
 - Croatian
 - Danish
 - French
 - Icelandic
 - Karbi

3.32.0
======
* Documents and Books are now separate apps
* New icon
* Replaced app menu with primary menu

* Bugs fixed:
 - #11 Documents hangs if any of the XDG_*_DIR vars are not defined
 - #12 Doesn't show any documents when started through search provider
 - #24 Present checkbox doesn't do anything

* Translation updates:
 - Afrikaans
 - Catalan
 - Chinese (Taiwan)
 - Czech
 - Danish
 - Dutch
 - Esperanto
 - Finnish
 - French
 - Friulian
 - Galician
 - German
 - Greek, Modern (1453-)
 - Hungarian
 - Indonesian
 - Italian
 - Japanese
 - Kazakh
 - Korean
 - Latvian
 - Lithuanian
 - Malayalam
 - Persian
 - Polish
 - Portuguese (Brazil)
 - Romanian
 - Russian
 - Serbian

3.31.92
=======
* Bugs fixed:
 - !21 build: remove more autotools leftovers
 - #24 Present checkbox doesn't do anything

* Translation updates:
 - Czech
 - Danish
 - Dutch
 - Esperanto
 - Finnish
 - French
 - German
 - Italian
 - Kazakh
 - Korean
 - Lithuanian
 - Portuguese (Brazil)
 - Russian
 - Serbian

3.31.90
=======
* Updated menus for 3.32 recommendations
* Bugs fixed:
 - #11 Documents/Books hang if any of the XDG_*_DIR vars are not defined
 - #12 Doesn't show any documents when started through search provider
 - #21 Flatpak builds broken due to meson
 - #30 Night/black mode should also invert color of black/white paper pages

* Translation updates:
 - Greek
 - Spanish
 - Swedish
 - ja
 - zh_TW
 - af
 - ml
 - eo

3.30.0 - "Shinwell"
===================

- Update the Git submodule URL after GitLab migration (Abderrahim Kitouni)
- Remove usage of conditional catch statements (Tim Lunn)
- Don't crash when selecting a local collection
- Translation updates

3.29.91 - "Nutmeg Concoction"
=============================

- Remove Autotools and various Meson improvements (Iñigo Martínez)
- Add OARS metadata (Nick Richards)
- Initialize the getting started PDF only when presenting a UI, and before
  any SPARQL has been submitted
- Be nice to the garbage collector during shutdown
- Translation updates

3.27.92 - "Pink Cadillac"
=========================

- Port to Meson (Iñigo Martínez)
- Use 'var' for symbols that are exported
- Use the standard dialect of String.prototype.replace
- Explicitly specify the Gepub API version
- Vertically centre text in the list view
- Translation updates

3.26.0 - "For Amateurs"
=======================

- Translation updates

3.25.91 - "Tasov"
=================

- Modernize the Autotools build and move away from Intltool
- Translation updates

3.25.90 - "Roman Square"
========================

- Use Gepub 0.5 (Jeremy Bicha)
- Use Tracker 2.0 (Jeremy Bicha)
- Use 'var' for classes that are exported (Jeremy Bicha & Cosimo Cecchi)
- Translation updates

3.25.4 - "Dentists"
===================

- Use Tracker 2.0 (Carlos Garnacho)
- Translation updates

3.25.3 - "53"
=============

- Show more info in epub preview, like number of chapters (Daniel Garcia)
- Restore the accelerators for going back
- Exit selection mode only after printing has begun
- Use GtkRevealers for faders instead of Tweener
- Enable printing only for documents that support it
- Avoid CRITICALs if a primary instance is already present
- Translation updates

3.25.1 - "Le Zanzibar"
======================

- Use LOKDocView for pre-OOXML MS Office formats (Pranav Kant)
- Unbreak opening in external application
- Fix regression that prevented comics from being previewed
- Make sure that load jobs are cancelled
- Fix double menus in fullscreened evince view
- Support fullscreening the e-pub view
- Distinguish multiple online sources from the same provider
- Don't leak the URI when thumbnailing
- Unbreak previews of LOKDocView-supported documents from OneDrive
- Unbreak caching of LOKDocView-supported documents from ownCloud
- Support previews of encrypted PDFs from Google
- Pass the right number of arguments to LOKDocView.View.new
- Translation updates

3.24.0 - "Must be the V"
========================

- Translation updates

3.23.91 - "White Moth"
======================

- Port user interactions and keybindings to GAction
- Update theming for collection icons
- Rewrite fullscreen controller code
- Fix scrubbar preview positioning under Wayland
- Stop using GdNotification
- Add support for IANA-registered comicbook mime types

3.22.0
==================

- Translation updates

3.21.92 - "Paper"
==================

- Some refactoring (Cosimo Cecchi)
- Translation updates

3.21.90 - "Don't"
==================

- Add initial epub support in Books (Cosimo Cecchi, Daniel Garcia Moreno)
- Fix bookmarking (Alessandro Bono)
- Fix continuous mode never being disabled (Bastien Nocera)
- Don't offer to open in file-roller (Bastien Nocera)
- Add fullscreen and nightmode to toolbar (Bastien Nocera)
- Hide the "Present" menu item in Books (Bastien Nocera)
- Don't select when focusing the search entry (Dimitrios Christidis)
- Use GtkMenuButton in OverviewSearchbar (Alessandro Bono)
- Don't show documents in the collection dialog (Alessandro Bono)
- Translation updates

3.20.0 - "Tickets"
==================

- Better empty states (Alessandro Bono)
- Fix LOKDocView crashes during start-up (Pranav Kant)
- Rename icons so that xdg-app bundles can be created
- Theme fixes
- Translation updates

3.19.4 - "Walk the Dog"
=======================

- Add full-text search (Rafael Fonseca)
- Use LOKDocView for handling ODF, OOXML, etc. files (Bastien Nocera, Pranav
  Kant)
- Try not to open PDFs in GIMP (Bastien Nocera)
- Translation updates

3.19.3 - "Merge Cowboy"
=======================

- Change to selection mode when pressing ctrl+a (Alessandro Bono)
- Don't hide navigation controls when hovering (Alessandro Bono)
- Don't invert the content of Books in night-mode (Bastien Nocera)
- Show a spinner while creating the first collection (Alessandro Bono)
- Rename "Recent" view to "Documents" or "Books" (Alessandro Bono)
- Restore separate collections for Books and Documents (Alessandro Bono)
- Add the ability to change the sort order of the view (Alessandro Bono,  Arnel
  A. Borja)
- Disable Print menu item when unsupported (Bastien Nocera)
- Update the layout of the selection toolbar (Alessandro Bono)
- Link preview searchbar with next and previous buttons (Alessandro Bono)
- Add screenshots to AppData (Alessandro Bono, Bastien Nocera)
- Show DjVu files as being eBooks (Bastien Nocera)
- Fix lost keypresses when searching in fullscreen (Bastien Nocera)
- Fix possible warnings exiting fullscreen (Bastien Nocera)
- Fix installation on some systems (Bastien Nocera)
- Fix the background of tagged entries
- Don't show an extra menu when the app menu is disabled
- Add a help overlay
- Translation updates

3.18.0.1 - "Jadavpur"
=====================

- Fix syntax error in desktop file translation

3.18.0 - "No name"
==================

- Update title if active collection is renamed (Alessandro Bono)
- Fix tagged entry theming (Debarshi Ray)
- Prevent nested collections (Alessandro)
- Align the source label (Alessandro)
- Translation updates

3.17.90 - "Triple"
==================

- New collections dialog (Alessandro Bono)
- Don't show the places dialog if there is only one page (Alessandro Bono)
- Port to package.js (Alessandro Bono)
- Unbreak activating documents from the search provider
- Adapt the sharing dialog to work with latest Google Drive changes
- Translation updates

3.17.2 - "Blansko"
==================

- Handle inability to load unsupported e-book formats (Bastien Nocera)
- Use the trash while deleting (Bastien Nocera)
- Fixed partially visible text in collections dialog (Muhammet Kara)
- Hide "Contents" tab when no TOC is available (Muhammet Kara)
- Prevent multiple about dialogs from opening (Alessandro Bono)
- Implement night mode in the content (Alessandro Bono)
- Make the overlaid preview controls work nicely on touchscreens
- Stop search provider from spawning miners and setting the tracker priority
- Fixed bugs and regressions caused by having separate views for documents
  and collections
- Restore the search criteria when we move back from the preview or collection
  view to the search results
- Adapt to changes in nao:identifier syntax for Google items
- Unbreak loading Google and SkyDrive items from the cache
- Prevent WebKit2 from blowing away our cache
- Translation updates

3.15.90 - "Keyboard"
====================

- Separate views for documents and collections
- Fix edge hit detection to use edge-reached instead of edge-overshot
- Add man page and AppData for Books
- Documentation updates (Ekaterina Gerasimova)
- Translation updates

3.15.2 - "Gaston"
=================

- Add support for "Night mode"
- Add new "Books" applications
  (Note that viewing ePub and Mobi formats isn't implemented yet)
- Port to WebKit2
- Fix some documents getting opened in the Archive Manager
- Fix a number of interaction problems related to fullscreen and controls
- Use GTK+' search bar widget instead of our own

3.15.1 - "Pandemonium"
======================

- Pass the correct arguments to pdf_loader_load_uri_async (Pranav Kant)
- Let the back button cancel an ongoing load operation (Pranav Kant)
- Replace "Load more" button with edge hit detection (Carlos Garnacho)
- Fix crash in places and bookmarks dialog
- Polish the presentation output chooser
- Use symbolics for high contrast icons
- Translation updates

3.14.0 - "Rajhrad"
==================

- Translation updates

3.13.92 - "Johor Laksa"
=======================

- Fix use of gdata_documents_service_get_primary_authorization_domain
- Fix drag and drop of items in the view
- Update for new Adwaita/GTK style changes
- Use schema_id instead of deprecated schema for GSettings (David King)
- Translation updates

3.13.91 - "Lemongrass"
======================

- Use a GtkPopover for the search options dropdown (Marta Milakovic)
- Add a notification when an item is deleted
- Fix HiDpi support in the preview floating window
- Fix HiDpi support in the search entry tags
- Fix handling of back key in preview mode (Paul Martin)
- Fix RDF type of text and HTML files (Bastien Nocera)
- Fix CSS style for latest GTK (Saurav Agarwalla)
- Translation updates

3.13.4 - "Pappankala"
=====================

- Appdata fixes (Baptiste Mille-Mathias, Pranav Kant)
- Single-binary setup for DBus activation (Álvaro Peña)
- Update menu icon to use a hamburger instead of a gear (Daniel Mustieles)
- Disable bookmarking if metadata is unsupported
- Update for new RefreshDB API
- Translation updates

3.13.1 - "Leaking Oil"
======================

- Use X close buttons in presentation dialogs (Felipe Borges, Marta Milakovic)
- Scale the thumbnails on HiDpi displays
- Overlay scrub bar (slider) disappears while using it
- Unbreak the contents and bookmarks dialog
- Make the thumbnailing robust against theme failures
- Prioritize relevant RDF types
- Translation updates

3.12.0 - "Lassi"
================

- Fix crash when list view is destroyed
- Translation updates

3.11.92 - "Botafogo"
====================

- Use header bars in dialogs
- Allow Enter to activate first search result (Pranav Kant)
- Don't make "edit" active for documents that can't be edited
- Fix zoom in not working with certain keyboards (Daniel Goetz)
- Fix multiple stacked indexing in-app notifications (Marta Milakovic)
- Fix toolbar behavior for GTK changes
- Fix possible crash due to UTF-8/bytes mismatch
- Focus search entry after changing filters (Rohit Agarwal)
- Improve getting started turorial (Jakub Steiner, Ekaterina Gerasimova)
- Improve user help for 3.12 (Ekaterina Gerasimova)
- Translation updates

3.11.91 - "Banana"
==================

- Add user help (Ekaterina Gerasimova)
- Point Getting Started to user help (Jakub Steiner)
- Allow enter to activate first search item (Pranav Kant)
- Disable the sharing dialog for non-Google content
- Use margin-{start,end} instead of deprecated margin-{left,right}
- Disable invalid UI controls in the preview toolbar
- Handle the password dialog being deleted
- Show the navigation bar after pointer movement
- Translation updates

3.11.90 - "Mimosas"
===================

- Turn into a DBus activatable service
- Switch to tracker 1.0 API (Colin Walters, Yosef Or Boczko)
- Fix toolbar item positions for new GTK
- Remove "Loading..." from spinner box
- Miscellaneous printing fixes
- Update search bar style (Jakub Steiner)
- Translation updates

3.11.5 - "SG"
=============

- Fix invalid thumbnails when downloading from remote sources
- Casefold search strings instead of lowercasing
- Protect against spurious view-as changed signals
- Fix back key behavior in RTL locales
- Translation updates

3.11.4 - "Spoilers"
===================

- Hide the search bar when moving from overview to preview
- Move the Grid/List controls to the toolbar
- Use GtkActionBar for the selection toolbar (William Jon McCann)
- Settings is the new name for gnome-control-center
- Simplify the PreviewNavButtons show/hide code
- Translation updates

3.11.3 - "Buses and Pubs"
=========================

- Fix CRITICALs when loading a document from Google or SkyDrive
- Support building against Tracker 0.18 (Dominique Leuenberger)
- Standardize Help/About/Quit in the app menu (Michael Catanzaro)
- Translation updates

3.11.2 - "Buses and Pubs"
=========================

- Prepare for E4X removal (Tim Lunn and Colin Walters)
- Update the URL of the website (Alex Gibson)
- Thumbnail Google content on freshly installed systems
- Translation updates

3.10.0
======

- Translation updates

3.9.92 - "Glue is Cheap"
========================

- Don't fullscreen the window against the user's wish (Adel Gadllah)
- Fix crash when window is closed (Carl-Anton Ingmarsson)
- Rounded corners for the titlebar
- Utilize intltool 0.50 gsettings support (Michael Catanzaro)

3.9.91 - "One Drink"
====================

- Remove emphasis on Cancel button (Arnel A. Borja)
- Fix presentation mode for GnomeRR API change

3.9.90 - "Flying Pig"
=====================

- Use the new selection toolbar pattern
- Use a GTK headerbar for titlebar
- Add support for documents on an OwnCloud share

3.9.4 - "Guacamole"
==================

- Support previewing of password-protected PDFs (Debarshi Ray)
- Port to gnome-online-miners for remote accounts (Debarshi Ray)

3.9.3 - "Man on a Mission"
==========================

- Revamp Organize Collections view for new designs (Debarshi Ray)
- Port to GtkListBox (Giovanni Campagna)
- Add tooltips for preview navbar buttons (Alessandro Campagni)
- Add page navigation with Left/Right buttons (Alessandro Campagni)
- Port the search provider to use serialized GIcons
- Port to GtkHeaderBar, GtkStack and GtkRevealer

3.8.3.1 - "Nostalgia"
=====================

- Ignore Google documents without a thumbnail URI (Debarshi Ray)

3.8.3 - "The Bridge"
====================

- Show thumbnails for Google Documents (Debarshi Ray)
- Add a manual page (Debarshi Ray)
- Don't forward key events to search bar on error (Debarshi Ray)
- Fix crash when trying to load links on a document that does not
  support them (Debarshi Ray)
- Fix crash when trying to search into a document that does not support
  it (Debarshi Ray)
- Fix hang when going back to overview after disabling a GOA
  account while previewing or editing (Debarshi Ray)
- Fix stray unoconv process when loading is cancelled in-flight (Debarshi Ray)
- Fix <Primary>a not working in overview (Debarshi Ray)
- Fix user input being incorrectly overwritten with the lowercase version
  used internally (Debarshi Ray)

3.8.2.1
=======

- Fix build

3.8.2 - "Moving"
================

- Flip navigation buttons in RTL
- Update to latest libgd
- Translation updates

3.8.1 - "Duster"
================

- Support rubberband selection in views (Alexander Larsson)
- Fix default response in Properties (Debarshi Ray)
- Fix prev/next page buttons not working in dual mode
- Fix bugs when launched from a search provider result
- Fix PDF from Google Drive not using the right document type
- Fix icon for Google Drawings
- Fix a crash when closing the preview soon after show

3.8.0 - "Talkin' in My Sleep"
=============================

- Translation updates

3.7.92 - "Açaí"
===============

- Validate desktop file during make check
- Translation updates

3.7.91 - "Trans-Siberia Express"
===============================

- Install a translatable Getting Started with Documents tutorial PDF
- Use a linked style for the search dropdown button
- Use a revealer animation for the search dropdown
- Make page switch widgets insensitive for single-page documents
- Fix search dropdown stuck after view mode switch
- Fix back keybinding not working when going back from collections
- Fix mouse back button not working
- Fix searchbar appearing when fullscreen in edit mode

3.7.90 - "Romario"
==================

- Add a presentation mode (William Jon McCann)
- Add Previous/Next overlay buttons in preview (William Jon McCann)
- Add support to launch external links from documents (Fabiano Fidêncio)
- Add support for PDF documents from Google (William Jon McCann)
- Remove clutter and clutter-gtk dependencies
- Fix a bug in the positioning of the preview overlay window
- Lots of minor cleanups and bugfixes

3.7.5 - "Eva"
=============

- Add an embedded edit mode for Google documents (William Jon McCann)
- Add a Bookmarks page in preview mode (William Jon McCann)
- Improve the error dialog layout (William Jon McCann)
- Use more human readable messages for GData errors (William Jon McCann)
- Don't use the dark theme in fullscreen preview (William Jon McCann)
- Add some padding around the preview navigation bar (William Jon McCann)
- Fix double search entry in fullscreen preview
- Fix crash when going back from a Google document under some circumstances
- Fix double and misspelled indexing notifications

3.7.4 - "Don Calisto"
=====================

- Use a new page navigation bar in preview (William Jon McCann)
- Add a sharing dialog for GDocs (Meg Ford)
- Use new automatic page sizing and page layout modes (William Jon McCann)
- Respect zoom limits for preview zoom actions (William Jon McCann)
- Install unoconv trough PackageKit when missing
- Fix finding text in page when in fullscreen mode
- Set a minimum size request for the main window

3.7.3 - "The Giant Undertow"
============================

- Update search provider to org.gnome.Shell.SearchProvider2 interface
- Perform application search when launched from a shell search and "back"
  is pressed
- Show page selector OSD also when not in fullscreen mode
- Don't use a timeout logic for OSD preview controls, show/hide them on click
- Don't show document page numbers in toolbar
- Don't activate fullscreen on double click
- Use paging instead of a continuous mode to display documents
- Make find bar buttons insensitive when there are no matches to scroll
- Remove white flashspot when switching window mode
- Automatically fullscreen when maximized and a preview is opened
- Use unicode ellipsis instead of three ASCII periods (Debarshi Ray)
- Don't show "New and Recent" in the toolbar all the time (William Jon McCann)
- Set versions for GJS imports (Colin Walters)
- Simplify launch scripts (Colin Walters)

3.7.2 - "Death and Resurrection Show"
=====================================

- Query results from extra Tracker locations added by the user
- Use a better label for the Load More button
- Add a Properties entry to the preview gear menu
- Pre-select find text in the preview searchbar
- Fix a bug where two search bars would appear after leaving fullscreen
- Don't flicker overview when launching a preview from the search provider
- Don't start GOA miners for account types we don't have
- Add keyboard accelerators for help, print and the gear menu (Jeremy Bicha)
- Add support for keyboard navigation and item activation
- Performance improvements when new files are added to the store
- Performance improvements when refreshing remote documents provider sources
- Fix detail label not ellipsizing in the main toolbar
- Fix window titles for Organize and Properties dialogs

3.6.0 - "Talk to Me"
====================

- Make sure to stop the spinner animation when it fades out
- Translation updates

3.5.92 - "Commuter's Delight"
=============================

- Add user documentation, and a Help item to the application menu
  (Julita Inca, Michael Hill)
- Work around UTF-8 collation Tracker bug, fixes empty overview in certain
  languages
- Fix back button failing to display when going back to a collection from
  the preview (Volker Sobek)
- Fix collection back navigation for nested collections (Volker Sobek)
- Fix accelerator labels not showing up in toolbar menus
- Misc string fixes

3.5.91 - "Whiteberry"
====================

- Add a Select All/Select None menu to the selection mode toolbar
- Add a notification while Tracker is indexing the file system
- Add a No Documents Found page when tracker returns empty results
- Fix persistance of document name change from the properties dialog
- Don't abort when failing to start miners (Anna Zacchi)

3.5.90 - "From My Dreams"
=========================

- Add a Properties dialog for documents (Meg Ford)
- Clear searches when the entry becomes hidden
- Improve the selection toolbar appearance
- Improve searchbar appearance
- Port to use the libgd git submodule

0.5.5 - "All the Leaves Are Gone"
=================================

- Add a find as you type implementation for Preview mode
- Add a menu button with common actions in Preview mode (Anna Zacchi)
- Add a Search button on the toolbar
- Add Rotate and Zoom options in Preview
- Move the search entry below the toolbar
- Support Google Drawings
- Remember documents' last page viewed
- Fix thumbnails for non-serializable GIcons (Florian Muellner)
- Use GDataGoaAuthorizer from libgdata
- Port some JS classes to GDBus (Jasper St. Pierre)
- Split a GdMiner base class and share code between miners (Jasper St. Pierre)
- Use GResource

0.5.4
=====

- Avoid leaking file descriptors when reading document thumbnails
- Set new use_layout flag_size on the GtkClutterEmbed
- Don't hardcode /bin/bash in the launcher scripts (Antoine Jacoutot)

0.5.3
=====

- Fix thumbnails not showing in fullscreen preview with recent GTK
- Use new GJS API to detect cancellations
- Use GtkSearchEntry
- Initial work on overview performance improvements
- Lot of code refactoring

0.5.2.1
=======

- Fix problem at startup
- Index entire SkyDrive root

0.5.2 - "The Great Salt Lake"
=============================

- Add support for Microsoft SkyDrive document sources using libzapojit
  and gnome-online-accounts (Debarshi Ray)
- Port to Lang.Class (Anna Zacchi)
- Make "View As" app menu action insensitive when previewing
- Add missing tooltip text to Print button
- Switch to overview on Alt+Left/Backspace
- Toggle fullscreen in preview with F11
- Fix some layouting issues in RTL layouts

0.4.2 - "Not a Martial Art Demonstration"
=========================================

- Don't store the active source in GSettings
- Make sure a collection is created when the text field name
  is confirmed by clicking on the OK button
- Make button press/release tracking code less strict
- Fix "Open" button showing up for collections under some circumstances
- Fix thumbnails preview bar not fading in under some circumstances
- Fix toolbar button spacing in RTL layouts
- Show the search entry when going back from preview to search results
- Hide the search entry when switching to a collection
- Fix type filter not cleaning up when switching to a collection
- Fix some critical warnings

0.5.1 - "Mr. Turtle"
====================

- Change about dialog string to Documents (Anna Zacchi)
- Use GTK OSD style class for selection toolbar
- Update CSS syntax for GTK master
- Fix thumbbar failing fade in in fullscreen under some circumstances
- Add more keybindings in preview mode
- Don't store the active source in GSettings

0.4.1 - "I Mean It"
===================

- Support %Id conversion characters for formatted strings
- Cancel old queries from the Shell search provider (Florian Müllner)
- Escape user input before pushing it down to Tracker (Meg Ford)
- Handle exceptions when calling Gtk.show_uri() (Feroze Naina)
- Avoid segfaults in the miner when an error happens (Alban Browaeys)
- Don't crash for missing symbolic icons in the theme
- Update the license of some library components to LGPL v2+

0.4.0.1 - "Fixer"
=================

- Fix a crasher when switching to List view on certain systems

0.4.0 - "M Train"
=================

- Fix crashes when clicking Back from preview under some circumstances
- Fix spinner not moving out when going back to overview while a document
  is still loading
- Translation updates

0.3.92 - "Shiny Little Things"
==============================

- Improve startup query performance
- Don't perform initial query when activated to preview a search result
- Remove items from selection when we get a delete event
- Fix collections not showing up properly in Shell search results
- Don't refresh the Google cache when spawned as a Shell search provider
- Use a fixed icon size when spawned as a Shell search provider
- Clear selection when exiting selection mode
- Fix crasher in Shell search provider mode
- Fix selection toolbar when changing selection
- Fix text layout in grid view for RTL languages
- Fix scrolling in preview page chooser to work with latest GTK
- Fix crash and inconsistencies when trying to add a new collection
- Rely on Tracker 0.14's notification for DataContainer to track collection
  changes/addition/deletions

0.3.91 - "Cheesy Ghost"
=======================

- Add a thumbnail list OSD in preview
- Add support for DnD of items out of the view
- Add support for printing documents
- Use checkboxes to render selections
- Add an About dialog
- Display date/time information in list view
- Improve toolbar labels when searching or restricting search criteria
- Add keywords to the desktop file for identification by desktop shells
- Hide unavailable collections from the Organize collections dialog
- Show source name for non-local collections in the Organize dialog
- Don't fade out overlay controls when hovering over them in preview
- Use ngettext() for plural strings where appropriate
- Don't allow circular references in collections
- Fix search by uppercase letters (Adel Gadllah)
- Scroll down on space bar press in preview (Felipe Borges)

0.3.90 - "Saved Soul"
=====================

- Ship a ShellSearchProvider DBus service (Florian Müllner)
- Fix interaction with the "Load more" button
- Fix alignment of tags in GdTaggedEntry
- Fix selection mode toolbar not showing under some cicrumstances
- Support building against Tracker 0.14 (Vincent Untz)

0.3.4 - "Six Packs"
===================

- Add a shell-style application menu (Colin Walters)

0.3.3 - "We Got the Beat"
=========================

- Add a tagged entry implementation for search filtering
- Port to GtkApplication (Florian Müllner)
- Split search into words (Florian Müllner)
- Open previews from command line (Florian Müllner)
- Hide titlebar when maximized (Florian Müllner)
- Enter selection mode with Ctrl+Click
- Rewrite main view and toolbar with generic C classes
- Don't install libgdprivate in $libdir (Michael Biebl)

0.3.2 - "Steady Diet of Nothing"
================================

- Initial support for Google Docs collections
- Initial support for user-defined collections
- Major UI revamp:
  * removed the sidebar
  * moved the search entry beneath the top bar in a hiding container
  * use single-click activation mode in the overview
  * first implementation of a "Selection" mode
  * animate state changes
- Improve query and loading speed
- Field selection support for search filtering (author, title)
- Fix loading of cached documents
- Many, many minor improvements and fixes

0.2.1 - "Paper Cut"
===================

- Quote the file path before passing it out to unoconv
- Remember window state and size across app restarts
- Fix some UI flickering and useless refreshs

0.2.0 - "Dropping Out"
======================

- First stable release
- Limit a printf scope to avoid conflicts with URI-escaped strings
  in some locales (Alban Browaeys)
- Huge list of translation updates

0.1.92 - "Tony's Theme"
=======================

- Listen to changes in the system GOA accounts configuration
- Support multiple GOA accounts
- Style symbolic emblems like in the mockups
- Remove deleted Google Docs from the DB when mining
- Update on the fly for changes in the tracker DB
- Add a compact context menu in preview mode
- Look for results in ~/Downloads as well (Colin Walters)
- Require Tracker 0.12.1

0.1.91 - "Mexicola"
===================

- Hide/show documents on the fly for disabled GOA sources
- Add a fullscreen preview mode
- Extend search to look into document authors
- Add a hi-res application icon
- Use symbolic emblems
- Display more file details in list view
- Use a nicer thumbnail frame from Nautilus for document thumbnails
- Sanitize and remove extensions from filenames
- Add keybindings for quit/fullscreen/search
- Fix parallel builds
- Add translator comments
- Fix license files and headers
- Require GLib 2.29.90 and g-o-a 3.1.90

0.1.90 - "Vintage Hardware"
===========================

- Initial release of GNOME Documents
- Ships with a GOA/GData/Tracker miner to index Google Docs
- Support for favorite and shared categories
- Support for preview
- Support for grid and list views
- Support for title search
